org.apache.sling.hapi.client.impl.microdata

## Class MicrodataDocument

- java.lang.Object
- - org.apache.sling.hapi.client.impl.microdata.MicrodataDocument

All Implemented Interfaces:
  Document

    public class MicrodataDocument
    extends Object
    implements Document

### Constructor Summary

Constructors
Constructor and Description
`MicrodataDocument(String html, HtmlClient client, String baseUrl)`

### Method Summary

Methods
`Items` `form(String rel)` Get all the `Document`'s form items.
`Items` `item(String rel)` Get all the `Document`'s items.
`Items` `items()` Get all the `Document`'s items.
`Items` `link(String rel)` Get all the `Document`'s link items.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MicrodataDocument

    public MicrodataDocument(String html,
                     HtmlClient client,
                     String baseUrl)

### Method Detail

#### link

    public Items link(String rel)
               throws ClientException

Description copied from interface: `Document`
Get all the `Document`'s link items. These Items should normally be backed by HTML anchors and links.

Specified by:
  `link` in interface `Document`
Parameters:
  `rel` - An identifier that groups all the link Items for this Document
Returns:
  all the link Items for this Document, that have the given relation
Throws:
  `ClientException`

#### form

    public Items form(String rel)
               throws ClientException

Description copied from interface: `Document`
Get all the `Document`'s form items. These Items should normally be backed by the HTML form element

Specified by:
  `form` in interface `Document`
Parameters:
  `rel` - An identifier that groups all the form Items for this Document
Returns:
  all the form Items for this Document, that have the given relation
Throws:
  `ClientException`

#### item

    public Items item(String rel)

Description copied from interface: `Document`
Get all the `Document`'s items. These Items are backed by any HTML element

Specified by:
  `item` in interface `Document`
Parameters:
  `rel` - An identifier that groups all the Items for this Document
Returns:
  all the Items for this Document, that have the given relation

#### items

    public Items items()

Description copied from interface: `Document`
Get all the `Document`'s items. These Items are backed by any HTML element

Specified by:
  `items` in interface `Document`
Returns:
  all the Items for this Document

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`